#include <Arduino.h>
#include <ESP8266WiFi.h>
#include <WiFiClient.h>
#include <ArduinoJson.h>
#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>
#include <OctoPrintAPI.h>

String printerOperational;
String printerPaused;
String printerPrinting;
String printerReady;
String printerText;
String printerHotend;
String printerTarget;
String payload;

WiFiClient client;

OctoprintApi api(client, ip, octoprint_httpPort, octoprint_apikey);  

void setup() {

// Connect to wifi
  Serial.begin(115200);
  Serial.println("Connecting to WiFi...");
  Serial.print("SSID: ");
  Serial.println(WIFI_SSID);

  Serial.print("OctoPrint URL: ");
  Serial.println(OCTOPRINT_URL);
  Serial.print("OctoPrint API Key: ");
  Serial.println(OCTOPRINT_API_KEY);
}